Public Class Form1
    Inherits System.Windows.Forms.Form
    Friend WithEvents Button1 As System.Windows.Forms.Button
    Dim m_SetDOVal, m_MBSetCoilVal, m_UserSetCoilVal As Integer
    Dim m_SetDOAdr, m_GetDIOAdr, m_SetAOAdr, m_GetAIOAdr, m_UserSetRegStrAdr, m_UserGetRegStrAdr As UInt16
    Dim m_SetAOAdrW, m_GetAIOAdrW As UInt16
    Dim m_UserGetRegFloatAdr, m_UserSetRegFloatAdr, m_MBSetCoilAdr, m_MBGetCoilAdr, m_MBSetRegAdr, m_MBGetRegAdr As UInt16
    Dim m_UserSetCoilAdr, m_UserGetCoilAdr, m_UserSetRegShortAdr, m_UserGetRegShortAdr, m_UserGetRegLongAdr, m_UserSetRegLongAdr As UInt16


#Region " Windows Form 設計工具產生的程式碼 "

    Public Sub New()

        MyBase.New()

        '此為 Windows Form 設計工具所需的呼叫。
        InitializeComponent()

        '在 InitializeComponent() 呼叫之後加入所有的初始設定

    End Sub

    'Form 覆寫 Dispose 以清除元件清單。
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        MyBase.Dispose(disposing)
    End Sub

    '注意: 以下為 Windows Form 設計工具所需的程序
    '您可以使用 Windows Form 設計工具進行修改。
    '請勿使用程式碼編輯器來修改這些程序。
    Friend WithEvents Button2 As System.Windows.Forms.Button
    Friend WithEvents Button3 As System.Windows.Forms.Button
    Friend WithEvents Label1 As System.Windows.Forms.Label
    Friend WithEvents Label2 As System.Windows.Forms.Label
    Friend WithEvents Label3 As System.Windows.Forms.Label
    Friend WithEvents Label4 As System.Windows.Forms.Label
    Friend WithEvents Label5 As System.Windows.Forms.Label
    Friend WithEvents Label6 As System.Windows.Forms.Label
    Friend WithEvents Label7 As System.Windows.Forms.Label
    Friend WithEvents Label8 As System.Windows.Forms.Label
    Friend WithEvents Label9 As System.Windows.Forms.Label
    Friend WithEvents Label10 As System.Windows.Forms.Label
    Friend WithEvents Label11 As System.Windows.Forms.Label
    Friend WithEvents Label12 As System.Windows.Forms.Label
    Friend WithEvents Label13 As System.Windows.Forms.Label
    Friend WithEvents Label14 As System.Windows.Forms.Label
    Friend WithEvents Label15 As System.Windows.Forms.Label
    Friend WithEvents Label16 As System.Windows.Forms.Label
    Friend WithEvents Label17 As System.Windows.Forms.Label
    Friend WithEvents Label18 As System.Windows.Forms.Label
    Friend WithEvents Label19 As System.Windows.Forms.Label
    Friend WithEvents Label20 As System.Windows.Forms.Label
    Friend WithEvents Label21 As System.Windows.Forms.Label
    Friend WithEvents Label22 As System.Windows.Forms.Label
    Friend WithEvents SetDOAdr As System.Windows.Forms.TextBox
    Friend WithEvents GetDIOAdr As System.Windows.Forms.TextBox
    Friend WithEvents SetAOAdr As System.Windows.Forms.TextBox
    Friend WithEvents GetAIOAdr As System.Windows.Forms.TextBox
    Friend WithEvents MBGetRegAdr As System.Windows.Forms.TextBox
    Friend WithEvents MBGetCoilAdr As System.Windows.Forms.TextBox
    Friend WithEvents MBSetCoilAdr As System.Windows.Forms.TextBox
    Friend WithEvents MBSetRegAdr As System.Windows.Forms.TextBox
    Friend WithEvents MBSetCoilVal As System.Windows.Forms.TextBox
    Friend WithEvents SetAOVal As System.Windows.Forms.TextBox
    Friend WithEvents GetAIOVal As System.Windows.Forms.TextBox
    Friend WithEvents MBGetCoilVal As System.Windows.Forms.TextBox
    Friend WithEvents MBSetRegVal As System.Windows.Forms.TextBox
    Friend WithEvents GetDIOVal As System.Windows.Forms.TextBox
    Friend WithEvents MBGetRegVal As System.Windows.Forms.TextBox
    Friend WithEvents SetDOVal As System.Windows.Forms.TextBox
    Friend WithEvents UserSetRegShortAdr As System.Windows.Forms.TextBox
    Friend WithEvents UserSetRegFloatAdr As System.Windows.Forms.TextBox
    Friend WithEvents UserGetRegLongAdr As System.Windows.Forms.TextBox
    Friend WithEvents UserSetRegLongAdr As System.Windows.Forms.TextBox
    Friend WithEvents UserGetCoilAdr As System.Windows.Forms.TextBox
    Friend WithEvents UserSetCoilVal As System.Windows.Forms.TextBox
    Friend WithEvents UserGetCoilVal As System.Windows.Forms.TextBox
    Friend WithEvents UserSetRegShortVal As System.Windows.Forms.TextBox
    Friend WithEvents UserGetRegShortAdr As System.Windows.Forms.TextBox
    Friend WithEvents UserGetRegFloatAdr As System.Windows.Forms.TextBox
    Friend WithEvents UserSetCoilAdr As System.Windows.Forms.TextBox
    Friend WithEvents UserGetRegShortVal As System.Windows.Forms.TextBox
    Friend WithEvents UserGetRegFloatVal As System.Windows.Forms.TextBox
    Friend WithEvents UserSetRegFloatVal As System.Windows.Forms.TextBox
    Friend WithEvents UserGetRegLongVal As System.Windows.Forms.TextBox
    Friend WithEvents UserSetRegLongVal As System.Windows.Forms.TextBox
    Friend WithEvents UserGetRegStrVal As System.Windows.Forms.TextBox
    Friend WithEvents UserSetRegStrAdr As System.Windows.Forms.TextBox
    Friend WithEvents UserGetRegStrAdr As System.Windows.Forms.TextBox
    Friend WithEvents UserSetRegStrVal As System.Windows.Forms.TextBox
    Friend WithEvents Button4 As System.Windows.Forms.Button
    Friend WithEvents Button5 As System.Windows.Forms.Button
    Friend WithEvents Button6 As System.Windows.Forms.Button
    Friend WithEvents Button7 As System.Windows.Forms.Button
    Friend WithEvents Button8 As System.Windows.Forms.Button
    Friend WithEvents Button9 As System.Windows.Forms.Button
    Friend WithEvents Button10 As System.Windows.Forms.Button
    Friend WithEvents Button11 As System.Windows.Forms.Button
    Friend WithEvents Button12 As System.Windows.Forms.Button
    Friend WithEvents Button13 As System.Windows.Forms.Button
    Friend WithEvents Button14 As System.Windows.Forms.Button
    Friend WithEvents Button15 As System.Windows.Forms.Button
    Friend WithEvents Button16 As System.Windows.Forms.Button
    Friend WithEvents Button17 As System.Windows.Forms.Button
    Friend WithEvents Button18 As System.Windows.Forms.Button
    Friend WithEvents Button19 As System.Windows.Forms.Button
    Friend WithEvents Button20 As System.Windows.Forms.Button
    Friend WithEvents Label23 As System.Windows.Forms.Label
    Friend WithEvents Button21 As System.Windows.Forms.Button
    Friend WithEvents Button22 As System.Windows.Forms.Button
    Friend WithEvents Label24 As System.Windows.Forms.Label
    Friend WithEvents Label25 As System.Windows.Forms.Label
    Friend WithEvents SetAOAdrW As System.Windows.Forms.TextBox
    Friend WithEvents GetAIOAdrW As System.Windows.Forms.TextBox
    Friend WithEvents SetAOValW As System.Windows.Forms.TextBox
    Friend WithEvents GetAIOValW As System.Windows.Forms.TextBox
    Private Sub InitializeComponent()
        Me.Button1 = New System.Windows.Forms.Button
        Me.UserGetRegStrVal = New System.Windows.Forms.TextBox
        Me.Button2 = New System.Windows.Forms.Button
        Me.Button3 = New System.Windows.Forms.Button
        Me.Label1 = New System.Windows.Forms.Label
        Me.Label2 = New System.Windows.Forms.Label
        Me.Label3 = New System.Windows.Forms.Label
        Me.Label4 = New System.Windows.Forms.Label
        Me.Label5 = New System.Windows.Forms.Label
        Me.Label6 = New System.Windows.Forms.Label
        Me.Label7 = New System.Windows.Forms.Label
        Me.Label8 = New System.Windows.Forms.Label
        Me.Label9 = New System.Windows.Forms.Label
        Me.Label10 = New System.Windows.Forms.Label
        Me.Label11 = New System.Windows.Forms.Label
        Me.Label12 = New System.Windows.Forms.Label
        Me.Label13 = New System.Windows.Forms.Label
        Me.Label14 = New System.Windows.Forms.Label
        Me.Label15 = New System.Windows.Forms.Label
        Me.Label16 = New System.Windows.Forms.Label
        Me.Label17 = New System.Windows.Forms.Label
        Me.Label18 = New System.Windows.Forms.Label
        Me.Label19 = New System.Windows.Forms.Label
        Me.Label20 = New System.Windows.Forms.Label
        Me.Label21 = New System.Windows.Forms.Label
        Me.Label22 = New System.Windows.Forms.Label
        Me.SetDOAdr = New System.Windows.Forms.TextBox
        Me.GetDIOAdr = New System.Windows.Forms.TextBox
        Me.SetAOAdr = New System.Windows.Forms.TextBox
        Me.GetAIOAdr = New System.Windows.Forms.TextBox
        Me.MBGetRegAdr = New System.Windows.Forms.TextBox
        Me.MBGetCoilAdr = New System.Windows.Forms.TextBox
        Me.MBSetCoilAdr = New System.Windows.Forms.TextBox
        Me.MBSetRegAdr = New System.Windows.Forms.TextBox
        Me.MBSetCoilVal = New System.Windows.Forms.TextBox
        Me.SetAOVal = New System.Windows.Forms.TextBox
        Me.GetAIOVal = New System.Windows.Forms.TextBox
        Me.MBGetCoilVal = New System.Windows.Forms.TextBox
        Me.MBSetRegVal = New System.Windows.Forms.TextBox
        Me.GetDIOVal = New System.Windows.Forms.TextBox
        Me.MBGetRegVal = New System.Windows.Forms.TextBox
        Me.SetDOVal = New System.Windows.Forms.TextBox
        Me.UserSetRegShortAdr = New System.Windows.Forms.TextBox
        Me.UserSetRegFloatAdr = New System.Windows.Forms.TextBox
        Me.UserGetRegLongAdr = New System.Windows.Forms.TextBox
        Me.UserSetRegLongAdr = New System.Windows.Forms.TextBox
        Me.UserGetCoilAdr = New System.Windows.Forms.TextBox
        Me.UserSetCoilVal = New System.Windows.Forms.TextBox
        Me.UserGetRegLongVal = New System.Windows.Forms.TextBox
        Me.UserGetCoilVal = New System.Windows.Forms.TextBox
        Me.UserSetRegLongVal = New System.Windows.Forms.TextBox
        Me.UserGetRegFloatVal = New System.Windows.Forms.TextBox
        Me.UserGetRegShortVal = New System.Windows.Forms.TextBox
        Me.UserSetRegShortVal = New System.Windows.Forms.TextBox
        Me.UserSetRegFloatVal = New System.Windows.Forms.TextBox
        Me.UserGetRegShortAdr = New System.Windows.Forms.TextBox
        Me.UserGetRegFloatAdr = New System.Windows.Forms.TextBox
        Me.UserSetCoilAdr = New System.Windows.Forms.TextBox
        Me.UserSetRegStrAdr = New System.Windows.Forms.TextBox
        Me.UserGetRegStrAdr = New System.Windows.Forms.TextBox
        Me.UserSetRegStrVal = New System.Windows.Forms.TextBox
        Me.Button4 = New System.Windows.Forms.Button
        Me.Button5 = New System.Windows.Forms.Button
        Me.Button6 = New System.Windows.Forms.Button
        Me.Button7 = New System.Windows.Forms.Button
        Me.Button8 = New System.Windows.Forms.Button
        Me.Button9 = New System.Windows.Forms.Button
        Me.Button10 = New System.Windows.Forms.Button
        Me.Button11 = New System.Windows.Forms.Button
        Me.Button12 = New System.Windows.Forms.Button
        Me.Button13 = New System.Windows.Forms.Button
        Me.Button14 = New System.Windows.Forms.Button
        Me.Button15 = New System.Windows.Forms.Button
        Me.Button16 = New System.Windows.Forms.Button
        Me.Button17 = New System.Windows.Forms.Button
        Me.Button18 = New System.Windows.Forms.Button
        Me.Button19 = New System.Windows.Forms.Button
        Me.Button20 = New System.Windows.Forms.Button
        Me.Label23 = New System.Windows.Forms.Label
        Me.Button21 = New System.Windows.Forms.Button
        Me.Button22 = New System.Windows.Forms.Button
        Me.Label24 = New System.Windows.Forms.Label
        Me.Label25 = New System.Windows.Forms.Label
        Me.SetAOAdrW = New System.Windows.Forms.TextBox
        Me.GetAIOAdrW = New System.Windows.Forms.TextBox
        Me.SetAOValW = New System.Windows.Forms.TextBox
        Me.GetAIOValW = New System.Windows.Forms.TextBox
        '
        'Button1
        '
        Me.Button1.Location = New System.Drawing.Point(496, 280)
        Me.Button1.Size = New System.Drawing.Size(40, 20)
        Me.Button1.Text = "Get"
        '
        'UserGetRegStrVal
        '
        Me.UserGetRegStrVal.Location = New System.Drawing.Point(416, 280)
        Me.UserGetRegStrVal.Size = New System.Drawing.Size(72, 22)
        Me.UserGetRegStrVal.Text = "0"
        '
        'Button2
        '
        Me.Button2.Location = New System.Drawing.Point(288, 16)
        Me.Button2.Size = New System.Drawing.Size(80, 20)
        Me.Button2.Text = "Start Quicker"
        '
        'Button3
        '
        Me.Button3.Location = New System.Drawing.Point(408, 16)
        Me.Button3.Size = New System.Drawing.Size(80, 20)
        Me.Button3.Text = "Stop Quicker"
        '
        'Label1
        '
        Me.Label1.Location = New System.Drawing.Point(88, 40)
        Me.Label1.Size = New System.Drawing.Size(48, 20)
        Me.Label1.Text = "Address"
        '
        'Label2
        '
        Me.Label2.Location = New System.Drawing.Point(144, 40)
        Me.Label2.Size = New System.Drawing.Size(48, 20)
        Me.Label2.Text = "Value"
        '
        'Label3
        '
        Me.Label3.Location = New System.Drawing.Point(0, 72)
        Me.Label3.Size = New System.Drawing.Size(48, 20)
        Me.Label3.Text = "SetDO"
        '
        'Label4
        '
        Me.Label4.Location = New System.Drawing.Point(0, 96)
        Me.Label4.Size = New System.Drawing.Size(48, 20)
        Me.Label4.Text = "GetDIO"
        '
        'Label5
        '
        Me.Label5.Location = New System.Drawing.Point(0, 120)
        Me.Label5.Size = New System.Drawing.Size(80, 20)
        Me.Label5.Text = "SetAO_Float"
        '
        'Label6
        '
        Me.Label6.Location = New System.Drawing.Point(0, 144)
        Me.Label6.Size = New System.Drawing.Size(80, 20)
        Me.Label6.Text = "GetAIO_Float"
        '
        'Label7
        '
        Me.Label7.Location = New System.Drawing.Point(0, 216)
        Me.Label7.Size = New System.Drawing.Size(64, 20)
        Me.Label7.Text = "MBSetCoil"
        '
        'Label8
        '
        Me.Label8.Location = New System.Drawing.Point(0, 240)
        Me.Label8.Size = New System.Drawing.Size(64, 20)
        Me.Label8.Text = "MBGetCoil"
        '
        'Label9
        '
        Me.Label9.Location = New System.Drawing.Point(0, 264)
        Me.Label9.Size = New System.Drawing.Size(64, 20)
        Me.Label9.Text = "MBSetReg"
        '
        'Label10
        '
        Me.Label10.Location = New System.Drawing.Point(0, 288)
        Me.Label10.Size = New System.Drawing.Size(64, 20)
        Me.Label10.Text = "MBGetReg"
        '
        'Label11
        '
        Me.Label11.Location = New System.Drawing.Point(264, 72)
        Me.Label11.Size = New System.Drawing.Size(64, 20)
        Me.Label11.Text = "UserSetCoil"
        '
        'Label12
        '
        Me.Label12.Location = New System.Drawing.Point(264, 96)
        Me.Label12.Size = New System.Drawing.Size(64, 20)
        Me.Label12.Text = "UserGetCoil"
        '
        'Label13
        '
        Me.Label13.Location = New System.Drawing.Point(264, 120)
        Me.Label13.Size = New System.Drawing.Size(112, 20)
        Me.Label13.Text = "UserSetReg(Short)"
        '
        'Label14
        '
        Me.Label14.Location = New System.Drawing.Point(264, 144)
        Me.Label14.Size = New System.Drawing.Size(112, 20)
        Me.Label14.Text = "UserGetReg(Short)"
        '
        'Label15
        '
        Me.Label15.Location = New System.Drawing.Point(264, 168)
        Me.Label15.Size = New System.Drawing.Size(112, 20)
        Me.Label15.Text = "UserSetReg(Float)"
        '
        'Label16
        '
        Me.Label16.Location = New System.Drawing.Point(264, 192)
        Me.Label16.Size = New System.Drawing.Size(112, 20)
        Me.Label16.Text = "UserGetReg(Float)"
        '
        'Label17
        '
        Me.Label17.Location = New System.Drawing.Point(264, 240)
        Me.Label17.Size = New System.Drawing.Size(112, 20)
        Me.Label17.Text = "UserGetReg(Long)"
        '
        'Label18
        '
        Me.Label18.Location = New System.Drawing.Point(264, 216)
        Me.Label18.Size = New System.Drawing.Size(112, 20)
        Me.Label18.Text = "UserSetReg(Long)"
        '
        'Label19
        '
        Me.Label19.Location = New System.Drawing.Point(432, 40)
        Me.Label19.Size = New System.Drawing.Size(48, 20)
        Me.Label19.Text = "Value"
        '
        'Label20
        '
        Me.Label20.Location = New System.Drawing.Point(376, 40)
        Me.Label20.Size = New System.Drawing.Size(48, 20)
        Me.Label20.Text = "Address"
        '
        'Label21
        '
        Me.Label21.Location = New System.Drawing.Point(264, 264)
        Me.Label21.Size = New System.Drawing.Size(112, 20)
        Me.Label21.Text = "UserSetReg_Str"
        '
        'Label22
        '
        Me.Label22.Location = New System.Drawing.Point(264, 288)
        Me.Label22.Size = New System.Drawing.Size(112, 20)
        Me.Label22.Text = "UserGetReg_Str"
        '
        'SetDOAdr
        '
        Me.SetDOAdr.Location = New System.Drawing.Point(88, 64)
        Me.SetDOAdr.Size = New System.Drawing.Size(40, 22)
        Me.SetDOAdr.Text = "1"
        '
        'GetDIOAdr
        '
        Me.GetDIOAdr.Location = New System.Drawing.Point(88, 88)
        Me.GetDIOAdr.Size = New System.Drawing.Size(40, 22)
        Me.GetDIOAdr.Text = "1"
        '
        'SetAOAdr
        '
        Me.SetAOAdr.Location = New System.Drawing.Point(88, 112)
        Me.SetAOAdr.Size = New System.Drawing.Size(40, 22)
        Me.SetAOAdr.Text = "3"
        '
        'GetAIOAdr
        '
        Me.GetAIOAdr.Location = New System.Drawing.Point(88, 136)
        Me.GetAIOAdr.Size = New System.Drawing.Size(40, 22)
        Me.GetAIOAdr.Text = "3"
        '
        'MBGetRegAdr
        '
        Me.MBGetRegAdr.Location = New System.Drawing.Point(88, 280)
        Me.MBGetRegAdr.Size = New System.Drawing.Size(40, 22)
        Me.MBGetRegAdr.Text = "500"
        '
        'MBGetCoilAdr
        '
        Me.MBGetCoilAdr.Location = New System.Drawing.Point(88, 232)
        Me.MBGetCoilAdr.Size = New System.Drawing.Size(40, 22)
        Me.MBGetCoilAdr.Text = "500"
        '
        'MBSetCoilAdr
        '
        Me.MBSetCoilAdr.Location = New System.Drawing.Point(88, 208)
        Me.MBSetCoilAdr.Size = New System.Drawing.Size(40, 22)
        Me.MBSetCoilAdr.Text = "500"
        '
        'MBSetRegAdr
        '
        Me.MBSetRegAdr.Location = New System.Drawing.Point(88, 256)
        Me.MBSetRegAdr.Size = New System.Drawing.Size(40, 22)
        Me.MBSetRegAdr.Text = "500"
        '
        'MBSetCoilVal
        '
        Me.MBSetCoilVal.Location = New System.Drawing.Point(136, 208)
        Me.MBSetCoilVal.Size = New System.Drawing.Size(64, 22)
        Me.MBSetCoilVal.Text = "1"
        '
        'SetAOVal
        '
        Me.SetAOVal.Location = New System.Drawing.Point(136, 112)
        Me.SetAOVal.Size = New System.Drawing.Size(64, 22)
        Me.SetAOVal.Text = "5.5"
        '
        'GetAIOVal
        '
        Me.GetAIOVal.Location = New System.Drawing.Point(136, 136)
        Me.GetAIOVal.Size = New System.Drawing.Size(64, 22)
        Me.GetAIOVal.Text = "0"
        '
        'MBGetCoilVal
        '
        Me.MBGetCoilVal.Location = New System.Drawing.Point(136, 232)
        Me.MBGetCoilVal.Size = New System.Drawing.Size(64, 22)
        Me.MBGetCoilVal.Text = "0"
        '
        'MBSetRegVal
        '
        Me.MBSetRegVal.Location = New System.Drawing.Point(136, 256)
        Me.MBSetRegVal.Size = New System.Drawing.Size(64, 22)
        Me.MBSetRegVal.Text = "32767"
        '
        'GetDIOVal
        '
        Me.GetDIOVal.Location = New System.Drawing.Point(136, 88)
        Me.GetDIOVal.Size = New System.Drawing.Size(64, 22)
        Me.GetDIOVal.Text = "0"
        '
        'MBGetRegVal
        '
        Me.MBGetRegVal.Location = New System.Drawing.Point(136, 280)
        Me.MBGetRegVal.Size = New System.Drawing.Size(64, 22)
        Me.MBGetRegVal.Text = "0"
        '
        'SetDOVal
        '
        Me.SetDOVal.Location = New System.Drawing.Point(136, 64)
        Me.SetDOVal.Size = New System.Drawing.Size(64, 22)
        Me.SetDOVal.Text = "1"
        '
        'UserSetRegShortAdr
        '
        Me.UserSetRegShortAdr.Location = New System.Drawing.Point(376, 112)
        Me.UserSetRegShortAdr.Size = New System.Drawing.Size(40, 22)
        Me.UserSetRegShortAdr.Text = "7"
        '
        'UserSetRegFloatAdr
        '
        Me.UserSetRegFloatAdr.Location = New System.Drawing.Point(376, 160)
        Me.UserSetRegFloatAdr.Size = New System.Drawing.Size(40, 22)
        Me.UserSetRegFloatAdr.Text = "5"
        '
        'UserGetRegLongAdr
        '
        Me.UserGetRegLongAdr.Location = New System.Drawing.Point(376, 232)
        Me.UserGetRegLongAdr.Size = New System.Drawing.Size(40, 22)
        Me.UserGetRegLongAdr.Text = "3"
        '
        'UserSetRegLongAdr
        '
        Me.UserSetRegLongAdr.Location = New System.Drawing.Point(376, 208)
        Me.UserSetRegLongAdr.Size = New System.Drawing.Size(40, 22)
        Me.UserSetRegLongAdr.Text = "3"
        '
        'UserGetCoilAdr
        '
        Me.UserGetCoilAdr.Location = New System.Drawing.Point(376, 88)
        Me.UserGetCoilAdr.Size = New System.Drawing.Size(40, 22)
        Me.UserGetCoilAdr.Text = "1"
        '
        'UserSetCoilVal
        '
        Me.UserSetCoilVal.Location = New System.Drawing.Point(424, 64)
        Me.UserSetCoilVal.Size = New System.Drawing.Size(64, 22)
        Me.UserSetCoilVal.Text = "1"
        '
        'UserGetRegLongVal
        '
        Me.UserGetRegLongVal.Location = New System.Drawing.Point(424, 232)
        Me.UserGetRegLongVal.Size = New System.Drawing.Size(64, 22)
        Me.UserGetRegLongVal.Text = "0"
        '
        'UserGetCoilVal
        '
        Me.UserGetCoilVal.Location = New System.Drawing.Point(424, 88)
        Me.UserGetCoilVal.Size = New System.Drawing.Size(64, 22)
        Me.UserGetCoilVal.Text = "0"
        '
        'UserSetRegLongVal
        '
        Me.UserSetRegLongVal.Location = New System.Drawing.Point(424, 208)
        Me.UserSetRegLongVal.Size = New System.Drawing.Size(64, 22)
        Me.UserSetRegLongVal.Text = "1234567"
        '
        'UserGetRegFloatVal
        '
        Me.UserGetRegFloatVal.Location = New System.Drawing.Point(424, 184)
        Me.UserGetRegFloatVal.Size = New System.Drawing.Size(64, 22)
        Me.UserGetRegFloatVal.Text = "0"
        '
        'UserGetRegShortVal
        '
        Me.UserGetRegShortVal.Location = New System.Drawing.Point(424, 136)
        Me.UserGetRegShortVal.Size = New System.Drawing.Size(64, 22)
        Me.UserGetRegShortVal.Text = "0"
        '
        'UserSetRegShortVal
        '
        Me.UserSetRegShortVal.Location = New System.Drawing.Point(424, 112)
        Me.UserSetRegShortVal.Size = New System.Drawing.Size(64, 22)
        Me.UserSetRegShortVal.Text = "12345"
        '
        'UserSetRegFloatVal
        '
        Me.UserSetRegFloatVal.Location = New System.Drawing.Point(424, 160)
        Me.UserSetRegFloatVal.Size = New System.Drawing.Size(64, 22)
        Me.UserSetRegFloatVal.Text = "3.8"
        '
        'UserGetRegShortAdr
        '
        Me.UserGetRegShortAdr.Location = New System.Drawing.Point(376, 136)
        Me.UserGetRegShortAdr.Size = New System.Drawing.Size(40, 22)
        Me.UserGetRegShortAdr.Text = "7"
        '
        'UserGetRegFloatAdr
        '
        Me.UserGetRegFloatAdr.Location = New System.Drawing.Point(376, 184)
        Me.UserGetRegFloatAdr.Size = New System.Drawing.Size(40, 22)
        Me.UserGetRegFloatAdr.Text = "5"
        '
        'UserSetCoilAdr
        '
        Me.UserSetCoilAdr.Location = New System.Drawing.Point(376, 64)
        Me.UserSetCoilAdr.Size = New System.Drawing.Size(40, 22)
        Me.UserSetCoilAdr.Text = "1"
        '
        'UserSetRegStrAdr
        '
        Me.UserSetRegStrAdr.Location = New System.Drawing.Point(376, 256)
        Me.UserSetRegStrAdr.Size = New System.Drawing.Size(40, 22)
        Me.UserSetRegStrAdr.Text = "1"
        '
        'UserGetRegStrAdr
        '
        Me.UserGetRegStrAdr.Location = New System.Drawing.Point(376, 280)
        Me.UserGetRegStrAdr.Size = New System.Drawing.Size(40, 22)
        Me.UserGetRegStrAdr.Text = "1"
        '
        'UserSetRegStrVal
        '
        Me.UserSetRegStrVal.Location = New System.Drawing.Point(416, 256)
        Me.UserSetRegStrVal.Size = New System.Drawing.Size(72, 22)
        Me.UserSetRegStrVal.Text = "Quicker"
        '
        'Button4
        '
        Me.Button4.Location = New System.Drawing.Point(496, 256)
        Me.Button4.Size = New System.Drawing.Size(40, 20)
        Me.Button4.Text = "Set"
        '
        'Button5
        '
        Me.Button5.Location = New System.Drawing.Point(496, 64)
        Me.Button5.Size = New System.Drawing.Size(40, 20)
        Me.Button5.Text = "Set"
        '
        'Button6
        '
        Me.Button6.Location = New System.Drawing.Point(496, 88)
        Me.Button6.Size = New System.Drawing.Size(40, 20)
        Me.Button6.Text = "Get"
        '
        'Button7
        '
        Me.Button7.Location = New System.Drawing.Point(496, 112)
        Me.Button7.Size = New System.Drawing.Size(40, 20)
        Me.Button7.Text = "Set"
        '
        'Button8
        '
        Me.Button8.Location = New System.Drawing.Point(496, 136)
        Me.Button8.Size = New System.Drawing.Size(40, 20)
        Me.Button8.Text = "Get"
        '
        'Button9
        '
        Me.Button9.Location = New System.Drawing.Point(496, 160)
        Me.Button9.Size = New System.Drawing.Size(40, 20)
        Me.Button9.Text = "Set"
        '
        'Button10
        '
        Me.Button10.Location = New System.Drawing.Point(496, 184)
        Me.Button10.Size = New System.Drawing.Size(40, 20)
        Me.Button10.Text = "Get"
        '
        'Button11
        '
        Me.Button11.Location = New System.Drawing.Point(496, 208)
        Me.Button11.Size = New System.Drawing.Size(40, 20)
        Me.Button11.Text = "Set"
        '
        'Button12
        '
        Me.Button12.Location = New System.Drawing.Point(496, 232)
        Me.Button12.Size = New System.Drawing.Size(40, 20)
        Me.Button12.Text = "Get"
        '
        'Button13
        '
        Me.Button13.Location = New System.Drawing.Point(208, 112)
        Me.Button13.Size = New System.Drawing.Size(40, 20)
        Me.Button13.Text = "Set"
        '
        'Button14
        '
        Me.Button14.Location = New System.Drawing.Point(208, 256)
        Me.Button14.Size = New System.Drawing.Size(40, 20)
        Me.Button14.Text = "Set"
        '
        'Button15
        '
        Me.Button15.Location = New System.Drawing.Point(208, 136)
        Me.Button15.Size = New System.Drawing.Size(40, 20)
        Me.Button15.Text = "Get"
        '
        'Button16
        '
        Me.Button16.Location = New System.Drawing.Point(208, 280)
        Me.Button16.Size = New System.Drawing.Size(40, 20)
        Me.Button16.Text = "Get"
        '
        'Button17
        '
        Me.Button17.Location = New System.Drawing.Point(208, 208)
        Me.Button17.Size = New System.Drawing.Size(40, 20)
        Me.Button17.Text = "Set"
        '
        'Button18
        '
        Me.Button18.Location = New System.Drawing.Point(208, 232)
        Me.Button18.Size = New System.Drawing.Size(40, 20)
        Me.Button18.Text = "Get"
        '
        'Button19
        '
        Me.Button19.Location = New System.Drawing.Point(208, 64)
        Me.Button19.Size = New System.Drawing.Size(40, 20)
        Me.Button19.Text = "Set"
        '
        'Button20
        '
        Me.Button20.Location = New System.Drawing.Point(208, 88)
        Me.Button20.Size = New System.Drawing.Size(40, 20)
        Me.Button20.Text = "Get"
        '
        'Label23
        '
        Me.Label23.Size = New System.Drawing.Size(96, 20)
        Me.Label23.Text = "All function test"
        '
        'Button21
        '
        Me.Button21.Location = New System.Drawing.Point(208, 160)
        Me.Button21.Size = New System.Drawing.Size(40, 20)
        Me.Button21.Text = "Set"
        '
        'Button22
        '
        Me.Button22.Location = New System.Drawing.Point(208, 184)
        Me.Button22.Size = New System.Drawing.Size(40, 20)
        Me.Button22.Text = "Get"
        '
        'Label24
        '
        Me.Label24.Location = New System.Drawing.Point(0, 168)
        Me.Label24.Size = New System.Drawing.Size(80, 20)
        Me.Label24.Text = "SetAO_Word"
        '
        'Label25
        '
        Me.Label25.Location = New System.Drawing.Point(0, 192)
        Me.Label25.Size = New System.Drawing.Size(80, 20)
        Me.Label25.Text = "GetAIO_Word"
        '
        'SetAOAdrW
        '
        Me.SetAOAdrW.Location = New System.Drawing.Point(88, 160)
        Me.SetAOAdrW.Size = New System.Drawing.Size(40, 22)
        Me.SetAOAdrW.Text = "7"
        '
        'GetAIOAdrW
        '
        Me.GetAIOAdrW.Location = New System.Drawing.Point(88, 184)
        Me.GetAIOAdrW.Size = New System.Drawing.Size(40, 22)
        Me.GetAIOAdrW.Text = "7"
        '
        'SetAOValW
        '
        Me.SetAOValW.Location = New System.Drawing.Point(136, 160)
        Me.SetAOValW.Size = New System.Drawing.Size(64, 22)
        Me.SetAOValW.Text = "120"
        '
        'GetAIOValW
        '
        Me.GetAIOValW.Location = New System.Drawing.Point(136, 184)
        Me.GetAIOValW.Size = New System.Drawing.Size(64, 22)
        Me.GetAIOValW.Text = "0"
        '
        'Form1
        '
        Me.ClientSize = New System.Drawing.Size(516, 298)
        Me.Controls.Add(Me.Label23)
        Me.Controls.Add(Me.SetDOAdr)
        Me.Controls.Add(Me.Label1)
        Me.Controls.Add(Me.Button3)
        Me.Controls.Add(Me.Button2)
        Me.Controls.Add(Me.UserGetRegStrVal)
        Me.Controls.Add(Me.Button1)
        Me.Controls.Add(Me.Label2)
        Me.Controls.Add(Me.Label3)
        Me.Controls.Add(Me.Label4)
        Me.Controls.Add(Me.Label5)
        Me.Controls.Add(Me.Label6)
        Me.Controls.Add(Me.Label7)
        Me.Controls.Add(Me.Label8)
        Me.Controls.Add(Me.Label9)
        Me.Controls.Add(Me.Label10)
        Me.Controls.Add(Me.Label11)
        Me.Controls.Add(Me.Label12)
        Me.Controls.Add(Me.Label13)
        Me.Controls.Add(Me.Label14)
        Me.Controls.Add(Me.Label15)
        Me.Controls.Add(Me.Label16)
        Me.Controls.Add(Me.Label17)
        Me.Controls.Add(Me.Label18)
        Me.Controls.Add(Me.Label19)
        Me.Controls.Add(Me.Label20)
        Me.Controls.Add(Me.Label21)
        Me.Controls.Add(Me.Label22)
        Me.Controls.Add(Me.GetDIOAdr)
        Me.Controls.Add(Me.SetAOAdr)
        Me.Controls.Add(Me.GetAIOAdr)
        Me.Controls.Add(Me.MBGetRegAdr)
        Me.Controls.Add(Me.MBGetCoilAdr)
        Me.Controls.Add(Me.MBSetCoilAdr)
        Me.Controls.Add(Me.MBSetRegAdr)
        Me.Controls.Add(Me.MBSetCoilVal)
        Me.Controls.Add(Me.SetAOVal)
        Me.Controls.Add(Me.GetAIOVal)
        Me.Controls.Add(Me.MBGetCoilVal)
        Me.Controls.Add(Me.MBSetRegVal)
        Me.Controls.Add(Me.GetDIOVal)
        Me.Controls.Add(Me.MBGetRegVal)
        Me.Controls.Add(Me.SetDOVal)
        Me.Controls.Add(Me.UserSetRegShortAdr)
        Me.Controls.Add(Me.UserSetRegFloatAdr)
        Me.Controls.Add(Me.UserGetRegLongAdr)
        Me.Controls.Add(Me.UserSetRegLongAdr)
        Me.Controls.Add(Me.UserGetCoilAdr)
        Me.Controls.Add(Me.UserSetCoilVal)
        Me.Controls.Add(Me.UserGetRegLongVal)
        Me.Controls.Add(Me.UserGetCoilVal)
        Me.Controls.Add(Me.UserSetRegLongVal)
        Me.Controls.Add(Me.UserGetRegFloatVal)
        Me.Controls.Add(Me.UserGetRegShortVal)
        Me.Controls.Add(Me.UserSetRegShortVal)
        Me.Controls.Add(Me.UserSetRegFloatVal)
        Me.Controls.Add(Me.UserGetRegShortAdr)
        Me.Controls.Add(Me.UserGetRegFloatAdr)
        Me.Controls.Add(Me.UserSetCoilAdr)
        Me.Controls.Add(Me.UserSetRegStrAdr)
        Me.Controls.Add(Me.UserGetRegStrAdr)
        Me.Controls.Add(Me.UserSetRegStrVal)
        Me.Controls.Add(Me.Button4)
        Me.Controls.Add(Me.Button5)
        Me.Controls.Add(Me.Button6)
        Me.Controls.Add(Me.Button7)
        Me.Controls.Add(Me.Button8)
        Me.Controls.Add(Me.Button9)
        Me.Controls.Add(Me.Button10)
        Me.Controls.Add(Me.Button11)
        Me.Controls.Add(Me.Button12)
        Me.Controls.Add(Me.Button13)
        Me.Controls.Add(Me.Button14)
        Me.Controls.Add(Me.Button15)
        Me.Controls.Add(Me.Button16)
        Me.Controls.Add(Me.Button17)
        Me.Controls.Add(Me.Button18)
        Me.Controls.Add(Me.Button19)
        Me.Controls.Add(Me.Button20)
        Me.Controls.Add(Me.Button21)
        Me.Controls.Add(Me.Button22)
        Me.Controls.Add(Me.Label24)
        Me.Controls.Add(Me.Label25)
        Me.Controls.Add(Me.SetAOAdrW)
        Me.Controls.Add(Me.GetAIOAdrW)
        Me.Controls.Add(Me.SetAOValW)
        Me.Controls.Add(Me.GetAIOValW)
        Me.Text = "Quicker_VB_Demo 2005.4.21"

    End Sub

    Public Shared Sub Main()
        Application.Run(New Form1)
    End Sub

#End Region

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        
        Dim UserGetStr(256) As Byte

        Dim Rtn As Byte
        
        Rtn = Quicker.UserShare.UserGetReg_Str(Convert.ToUInt16(m_UserGetRegStrAdr), UserGetStr)

        If Rtn = 0 Then
            UserGetRegStrVal.Text = System.Text.Encoding.Unicode.GetString(UserGetStr, 0, UserGetStr.Length)

        Else
            MessageBox.Show("UserGetRegStr Fail")
        End If
    End Sub

    Private Sub TextBox12_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserGetRegShortVal.TextChanged

    End Sub

    Private Sub TextBox14_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserSetRegFloatVal.TextChanged

    End Sub

    Private Sub TextBox10_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserSetRegLongVal.TextChanged

    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click

        Dim Rtn As Byte

        Rtn = Quicker.UserShare.UserSetReg_Str(Convert.ToUInt16(m_UserSetRegStrAdr), Convert.ToString(UserSetRegStrVal.Text).ToCharArray())

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Quicker.System.StartQuicker(1)
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Quicker.System.StopQuicker()
    End Sub

    Private Sub Button19_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button19.Click
        Quicker.QuickerIO.SetDO(m_SetDOAdr, m_SetDOVal)
    End Sub

    Private Sub SetDOAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SetDOAdr.TextChanged
        m_SetDOAdr = Convert.ToUInt16(SetDOAdr.Text)
    End Sub

    Private Sub SetDOVal_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SetDOVal.TextChanged
        m_SetDOVal = SetDOVal.Text
    End Sub

    Private Sub Button20_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button20.Click
        Dim m_GetDIOVal As Byte
        Quicker.QuickerIO.GetDIO(m_GetDIOAdr, m_GetDIOVal, 0)
        GetDIOVal.Text = m_GetDIOVal
    End Sub

    Private Sub GetDIOAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GetDIOAdr.TextChanged
        m_GetDIOAdr = Convert.ToUInt16(GetDIOAdr.Text)
    End Sub

    Private Sub SetAOAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SetAOAdr.TextChanged
        m_SetAOAdr = Convert.ToUInt16(SetAOAdr.Text)
    End Sub

    Private Sub SetAOVal_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SetAOVal.TextChanged
        'm_SetAOVal = Convert.ToSingle(SetAOVal.Text)
    End Sub

    Private Sub Button13_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button13.Click
        Quicker.QuickerIO.SetAO_Float(m_SetAOAdr, Convert.ToSingle(SetAOVal.Text))
    End Sub

    Private Sub Button15_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button15.Click
        Dim Rtn As Byte
        Dim m_GetAIOVal As Single

        Rtn = Quicker.QuickerIO.GetAIO_Float(m_GetAIOAdr, m_GetAIOVal, 0)
        If Rtn = 0 Then
            GetAIOVal.Text = m_GetAIOVal ' m_GetAIOVal.GetHashCode() 
        Else
            MessageBox.Show("GetAIOVal Fail")
        End If

    End Sub

    Private Sub UserSetRegStrAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserSetRegStrAdr.TextChanged
        m_UserSetRegStrAdr = Convert.ToUInt16(UserSetRegStrAdr.Text)
    End Sub

    Private Sub UserGetRegStrAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserGetRegStrAdr.TextChanged
        m_UserGetRegStrAdr = Convert.ToUInt16(UserGetRegStrAdr.Text)
    End Sub

    Private Sub UserSetRegFloatAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserSetRegFloatAdr.TextChanged
        m_UserSetRegFloatAdr = Convert.ToUInt16(UserSetRegFloatAdr.Text)
    End Sub

    Private Sub UserGetRegFloatAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserGetRegFloatAdr.TextChanged
        m_UserGetRegFloatAdr = Convert.ToUInt16(UserGetRegFloatAdr.Text)
    End Sub

    Private Sub Button9_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button9.Click
        Dim Rtn As Byte

        Rtn = Quicker.UserShare.UserSetReg_Float(m_UserSetRegFloatAdr, Convert.ToSingle(UserSetRegFloatVal.Text))
    End Sub

    Private Sub Button10_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button10.Click
        Dim Rtn As Byte
        Dim m_UserGetRegFloatVal As Single
        Rtn = Quicker.UserShare.UserGetReg_Float(m_UserGetRegFloatAdr, m_UserGetRegFloatVal)
        If Rtn = 0 Then
            UserGetRegFloatVal.Text = m_UserGetRegFloatVal
        Else
            MessageBox.Show("UserGetRegFloat Fail")
        End If
    End Sub

    Private Sub GetAIOAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GetAIOAdr.TextChanged
        m_GetAIOAdr = Convert.ToUInt16(GetAIOAdr.Text)
    End Sub

    Private Sub MBSetCoilAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MBSetCoilAdr.TextChanged
        m_MBSetCoilAdr = Convert.ToUInt16(MBSetCoilAdr.Text)
    End Sub

    Private Sub MBGetCoilAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MBGetCoilAdr.TextChanged
        m_MBGetCoilAdr = Convert.ToUInt16(MBGetCoilAdr.Text)
    End Sub

    Private Sub MBSetRegAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MBSetRegAdr.TextChanged
        m_MBSetRegAdr = Convert.ToUInt16(MBSetRegAdr.Text)
    End Sub

    Private Sub MBGetRegAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MBGetRegAdr.TextChanged
        m_MBGetRegAdr = Convert.ToUInt16(MBGetRegAdr.Text)
    End Sub

    Private Sub Button17_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button17.Click
        Quicker.Modbus.MBSetCoil(m_MBSetCoilAdr, m_MBSetCoilVal, 1)
    End Sub

    Private Sub Button18_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button18.Click
        Dim m_MBGetCoilVal As Byte
        Quicker.Modbus.MBGetCoil(m_MBGetCoilAdr, m_MBGetCoilVal, 1)
        MBGetCoilVal.Text = m_MBGetCoilVal
    End Sub

    Private Sub Button14_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button14.Click
        Quicker.Modbus.MBSetReg(m_MBSetRegAdr, Convert.ToSingle(MBSetRegVal.Text), 1)
    End Sub

    Private Sub Button16_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button16.Click
        Dim Rtn As Byte
        Dim m_MBGetRegVal As Single
        Rtn = Quicker.Modbus.MBGetReg(m_MBGetRegAdr, m_MBGetRegVal, 1)
        If Rtn = 0 Then
            MBGetRegVal.Text = m_MBGetRegVal
        Else
            MessageBox.Show("MBGetRegVal Fail")
        End If
    End Sub

    Private Sub UserSetCoilAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserSetCoilAdr.TextChanged
        m_UserSetCoilAdr = Convert.ToUInt16(UserSetCoilAdr.Text)
    End Sub

    Private Sub UserGetCoilAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserGetCoilAdr.TextChanged
        m_UserGetCoilAdr = Convert.ToUInt16(UserGetCoilAdr.Text)
    End Sub

    Private Sub UserSetRegShortAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserSetRegShortAdr.TextChanged
        m_UserSetRegShortAdr = Convert.ToUInt16(UserSetRegShortAdr.Text)
    End Sub

    Private Sub UserGetRegShortAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserGetRegShortAdr.TextChanged
        m_UserGetRegShortAdr = Convert.ToUInt16(UserGetRegShortAdr.Text)
    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        Quicker.UserShare.UserSetCoil(m_UserSetCoilAdr, m_UserSetCoilVal)
    End Sub

    Private Sub UserSetCoilVal_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserSetCoilVal.TextChanged
        m_UserSetCoilVal = UserSetCoilVal.Text
    End Sub

    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        Dim m_UserGetCoilVal As Byte
        Quicker.UserShare.UserGetCoil(m_UserGetCoilAdr, m_UserGetCoilVal)
        UserGetCoilVal.Text = m_UserGetCoilVal
    End Sub

    Private Sub Button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button7.Click
        Quicker.UserShare.UserSetReg_Short(m_UserSetRegShortAdr, Convert.ToSingle(UserSetRegShortVal.Text))
    End Sub

    Private Sub Button8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button8.Click
        Dim Rtn As Byte
        Dim m_UserGetRegShortVal As Single
        Rtn = Quicker.UserShare.UserGetReg_Short(m_UserGetRegShortAdr, m_UserGetRegShortVal)
        If Rtn = 0 Then
            UserGetRegShortVal.Text = m_UserGetRegShortVal
        Else
            MessageBox.Show("UserGetRegShortVal Fail")
        End If
    End Sub

    Private Sub UserSetRegLongAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserSetRegLongAdr.TextChanged
        m_UserSetRegLongAdr = Convert.ToUInt16(UserSetRegLongAdr.Text)
    End Sub

    Private Sub UserGetRegLongAdr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UserGetRegLongAdr.TextChanged
        m_UserGetRegLongAdr = Convert.ToUInt16(UserGetRegLongAdr.Text)
    End Sub

    Private Sub Button11_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button11.Click
        Quicker.UserShare.UserSetReg_Long(m_UserSetRegLongAdr, Convert.ToSingle(UserSetRegLongVal.Text))
    End Sub

    Private Sub Button12_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button12.Click
        Dim Rtn As Byte
        Dim m_UserGetRegLongVal As Single
        Rtn = Quicker.UserShare.UserGetReg_Long(m_UserGetRegLongAdr, m_UserGetRegLongVal)
        If Rtn = 0 Then
            UserGetRegLongVal.Text = m_UserGetRegLongVal
        Else
            MessageBox.Show("UserGetRegLongVal Fail")
        End If
    End Sub

    Private Sub MBSetCoilVal_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MBSetCoilVal.TextChanged
        m_MBSetCoilVal = MBSetCoilVal.Text
    End Sub

    Private Sub Button21_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button21.Click
        Quicker.QuickerIO.SetAO_Word(m_SetAOAdrW, Convert.ToUInt16(SetAOValW.Text))
    End Sub

    Private Sub Button22_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button22.Click
        Dim Rtn As Byte
        Dim m_GetAIOValW As UInt16

        Rtn = Quicker.QuickerIO.GetAIO_Word(m_GetAIOAdrW, m_GetAIOValW, 0)
        If Rtn = 0 Then
            GetAIOValW.Text = m_GetAIOValW.ToString() ' m_GetAIOVal.GetHashCode() 
        Else
            MessageBox.Show("GetAIOValW Fail")
        End If
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub

    Private Sub SetAOAdrW_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SetAOAdrW.TextChanged
        m_SetAOAdrW = Convert.ToUInt16(SetAOAdrW.Text)
    End Sub

    Private Sub GetAIOAdrW_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GetAIOAdrW.TextChanged
        m_GetAIOAdrW = Convert.ToUInt16(GetAIOAdrW.Text)
    End Sub

End Class
